### Enumeration

# FwupdPlugin ContextLoadFlags

#### Declaration

    flags FwupdPlugin.ContextLoadFlags

#### Description

No description available.

#### Members

`FU_CONTEXT_LOAD_FLAG_NONE`

  No description available.

  - Value: `0`
  - Available since: 1.0
`FU_CONTEXT_LOAD_FLAG_HWID_CONFIG`

  No description available.

  - Value: `1`
  - Available since: 1.0
`FU_CONTEXT_LOAD_FLAG_HWID_SMBIOS`

  No description available.

  - Value: `2`
  - Available since: 1.0
`FU_CONTEXT_LOAD_FLAG_HWID_FDT`

  No description available.

  - Value: `4`
  - Available since: 1.0
`FU_CONTEXT_LOAD_FLAG_HWID_DMI`

  No description available.

  - Value: `8`
  - Available since: 1.0
`FU_CONTEXT_LOAD_FLAG_HWID_KENV`

  No description available.

  - Value: `16`
  - Available since: 1.0
`FU_CONTEXT_LOAD_FLAG_HWID_DARWIN`

  No description available.

  - Value: `32`
  - Available since: 1.0
`FU_CONTEXT_LOAD_FLAG_WATCH_FILES`

  No description available.

  - Value: `64`
  - Available since: 1.0
`FU_CONTEXT_LOAD_FLAG_FIX_PERMISSIONS`

  No description available.

  - Value: `128`
  - Available since: 1.0
`FU_CONTEXT_LOAD_FLAG_PATH_STORE_DEFAULTS`

  No description available.

  - Value: `256`
  - Available since: 1.0
`FU_CONTEXT_LOAD_FLAG_PATH_STORE_ENV`

  No description available.

  - Value: `512`
  - Available since: 1.0